<!ELEMENT Message (Request, Signature)>

<!ELEMENT Request (
	Fecha,
	Hora,
	Ds_SecurePayment,
	Ds_Amount,
	Ds_Currency,
	Ds_Order,
	Ds_MerchantCode,
	Ds_Terminal,
	Ds_Response,
	Ds_MerchantData?,
	Ds_Card_Type?,
	Ds_TransactionType,
	Ds_ConsumerLanguage,
	Ds_ErrorCode?,
	Ds_CardCountry?,
	Ds_AuthorisationCode?
)>

<!ATTLIST Request Ds_Version CDATA #REQUIRED>
<!ELEMENT Fecha (#PCDATA)>
<!ELEMENT Hora (#PCDATA)>
<!ELEMENT Ds_SecurePayment (#PCDATA)>
<!ELEMENT Ds_Amount (#PCDATA)>
<!ELEMENT Ds_Currency (#PCDATA)>
<!ELEMENT Ds_Order (#PCDATA)>
<!ELEMENT Ds_MerchantCode (#PCDATA)>
<!ELEMENT Ds_Terminal (#PCDATA)>
<!ELEMENT Ds_Response (#PCDATA)>
<!ELEMENT Ds_MerchantData (#PCDATA)>
<!ELEMENT Ds_Card_Type (#PCDATA)>
<!ELEMENT Ds_TransactionType (#PCDATA)>
<!ELEMENT Ds_ConsumerLanguage (#PCDATA)>
<!ELEMENT Ds_ErrorCode (#PCDATA)>
<!ELEMENT Ds_CardCountry (#PCDATA)>
<!ELEMENT Ds_AuthorisationCode (#PCDATA)>
<!ELEMENT Signature (#PCDATA)>

